kr.co.hanwha.hifive.screen.task

## Class AddTaskPresenter

- java.lang.Object
- - kr.co.hanwha.hifive.screen.task.AddTaskPresenter

- All Implemented Interfaces:
    BasePresenter, AddTaskContract.Presenter

      public class AddTaskPresenter
      extends java.lang.Object
      implements AddTaskContract.Presenter

  Add Task : Presenter
  See Also:
    `Created by sanghoonkwon on 2018. 1. 18..`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `mDueTo` 기한
    `private int` | `mMemberId`
    `private TaskDetailData` | `mTaskDetailData`
    `private AddTaskContract.View` | `mView`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddTaskPresenter(AddTaskContract.View view)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `detachView()`
    `void` | `doReRequest(TaskData taskData)` TASK 수정 & 재 요청
    `private android.app.Activity` | `getActivity()` Support methods
    `android.content.Context` | `getContext()`
    `void` | `initData()` 기본 데이터 설정
    `void` | `initEditData(int task_id, int project_id)` 수정할 TASK 데이터 설정
    `boolean` | `isRequest()` 요청 TASK 인지 확인
    `void` | `registerTask(java.lang.String task_name, AddTaskType addTaskType)` TASK 등록
    `void` | `requestSendTask(java.lang.String task_name)` TASK 신규 등록
    `void` | `selectCampaign()` 캠페인 선택
    `void` | `selectMember()` 받는 사람 선택
    `void` | `setSelectedMemberId(int memberId)` 받는 사람 저장
    `void` | `showCalendarDialog()` 기한 설정 캘린더 팝업
    `void` | `updateTask(java.lang.String task_name, AddTaskType addTaskType)` TASK 수정(Update) / 재요청(ReRequest)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mView

          private AddTaskContract.View mView

    - #### mDueTo

          private java.lang.String mDueTo

      기한

    - #### mTaskDetailData

          private TaskDetailData mTaskDetailData

    - #### mMemberId

          private int mMemberId

  - ### Constructor Detail

    - #### AddTaskPresenter

          public AddTaskPresenter(@NonNull
                                  AddTaskContract.View view)

  - ### Method Detail

    - #### detachView

          public void detachView()

      Specified by:
        `detachView` in interface `BasePresenter`

    - #### getContext

          public android.content.Context getContext()

      Specified by:
        `getContext` in interface `BasePresenter`

    - #### initData

          public void initData()

      Description copied from interface: `AddTaskContract.Presenter`
      기본 데이터 설정
      Specified by:
        `initData` in interface `AddTaskContract.Presenter`

    - #### initEditData

          public void initEditData(@NonNull
                                   int task_id,
                                   @NonNull
                                   int project_id)

      Description copied from interface: `AddTaskContract.Presenter`
      수정할 TASK 데이터 설정
      Specified by:
        `initEditData` in interface `AddTaskContract.Presenter`
      Parameters:
        `task_id` - TASK ID
        `project_id` - PROJECT_ID

    - #### showCalendarDialog

          public void showCalendarDialog()

      Description copied from interface: `AddTaskContract.Presenter`
      기한 설정 캘린더 팝업
      Specified by:
        `showCalendarDialog` in interface `AddTaskContract.Presenter`

    - #### isRequest

          public boolean isRequest()

      Description copied from interface: `AddTaskContract.Presenter`
      요청 TASK 인지 확인
      Specified by:
        `isRequest` in interface `AddTaskContract.Presenter`
      Returns:
        요청 TASK 확인

    - #### registerTask

          public void registerTask(@NonNull
                                   java.lang.String task_name,
                                   @NonNull
                                   AddTaskType addTaskType)

      Description copied from interface: `AddTaskContract.Presenter`
      TASK 등록
      Specified by:
        `registerTask` in interface `AddTaskContract.Presenter`
      Parameters:
        `task_name` - TASK 내용
        `addTaskType` - TASK 종류(신규/수정/재요청)

    - #### requestSendTask

          public void requestSendTask(@NonNull
                                      java.lang.String task_name)

      Description copied from interface: `AddTaskContract.Presenter`
      TASK 신규 등록
      Specified by:
        `requestSendTask` in interface `AddTaskContract.Presenter`
      Parameters:
        `task_name` - TASK 내용

    - #### updateTask

          public void updateTask(@NonNull
                                 java.lang.String task_name,
                                 @NonNull
                                 AddTaskType addTaskType)

      Description copied from interface: `AddTaskContract.Presenter`
      TASK 수정(Update) / 재요청(ReRequest)
      Specified by:
        `updateTask` in interface `AddTaskContract.Presenter`
      Parameters:
        `task_name` - TASK 내용
        `addTaskType` - TASK 종류(신규/수정/재요청)

    - #### doReRequest

          public void doReRequest(@NonNull
                                  TaskData taskData)

      Description copied from interface: `AddTaskContract.Presenter`
      TASK 수정 & 재 요청
      Specified by:
        `doReRequest` in interface `AddTaskContract.Presenter`
      Parameters:
        `taskData` - TASK 데이터

    - #### setSelectedMemberId

          public void setSelectedMemberId(int memberId)

      Description copied from interface: `AddTaskContract.Presenter`
      받는 사람 저장
      Specified by:
        `setSelectedMemberId` in interface `AddTaskContract.Presenter`

    - #### selectCampaign

          public void selectCampaign()

      Description copied from interface: `AddTaskContract.Presenter`
      캠페인 선택
      Specified by:
        `selectCampaign` in interface `AddTaskContract.Presenter`

    - #### selectMember

          public void selectMember()

      Description copied from interface: `AddTaskContract.Presenter`
      받는 사람 선택
      Specified by:
        `selectMember` in interface `AddTaskContract.Presenter`

    - #### getActivity

          private android.app.Activity getActivity()

      Support methods